Subject: Re: [PATCH v2 01/10] appletalk: make localtalk and ppp support conditional

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Oct 2023 17:22:02 -0700

On Wed, 11 Oct 2023 16:02:16 +0200 Arnd Bergmann wrote:
> From: Arnd Bergmann <[email-masked]>
> 
> The last localtalk driver is gone now, and ppp support was never fully
> merged, but the code to support them for phase1 networking still calls
> the deprecated .ndo_do_ioctl() helper.
> 
> In order to better isolate the localtalk and ppp portions of appletalk,
> guard all of the corresponding code with CONFIG_DEV_APPLETALK checks,
> including a preprocessor conditional that guards the internal ioctl calls.
> 
> This is currently all dead code and will now be left out of the
> module since this Kconfig symbol is always undefined, but there are
> plans to add a new driver for localtalk again in the future. When
> that happens, the logic can be cleaned up to work properly without
> the need for the ioctl.

Hi Arnd, the WiFi changes are now in net, could you rebase & repost?